## libmpcdec 1.2.2-2.1m5

=== debian/changelog ===
libmpcdec (1:1.2.2-2.1m5) unstable; urgency=low

  * Upload to Fremantle, optify.

 -- Tomasz Dominikowski <dominikowski@gmail.com>>  Sun,  3 Jan 2010 18:34:44 +0100

libmpcdec (1:1.2.2-2.1) unstable; urgency=low

  * Non-maintainer upload by the Release Team (maintainer is in the
    LowThresholdNmu list).

  * Reupload with bumped epoch to undo unannounced and uncoordinated SONAME
    bump by the libmpc package. Such transition would tie itself with several
    ongoing transitions, and would hit us particularly bad because it includes
    API changes that require porting.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 10 Mar 2009 15:22:20 +0100

libmpcdec (1.2.2-1) unstable; urgency=low

  * New upstream version. (Closes: #342708)
  * libmpcdec-dev: Include src/sample.cpp. (Closes: #343580)

 -- Joe Wreschnig <piman@debian.org>  Fri, 16 Dec 2005 04:52:16 -0600

libmpcdec (1.2.1-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version 3.6.2.

 -- Joe Wreschnig <piman@debian.org>  Sat, 03 Sep 2005 14:37:02 -0500

libmpcdec (1.2-1) unstable; urgency=low

  * Initial upload. (Closes: #292105)
  * Upstream assures a stable API/ABI from now on (see
    http://www.musepack.net/forum/viewtopic.php?t=202)

 -- Joe Wreschnig <piman@debian.org>  Sat, 07 May 2005 17:29:29 -0500
