=== debian/control ===
Source: libmpcdec
Priority: optional
XSBC-Original-Maintainer: Joe Wreschnig <piman@debian.org>
Maintainer: Tomasz Dominikowski <dominikowski@gmail.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: libmpcdec-dev
Section: libdevel
Architecture: any
Depends: libmpcdec3 (= ${Source-Version})
Description: Musepack (MPC) format library [development files]
 This package contains files used to develop or compile programs that
 use libmpcdec.
 .
 libmpcdec allows you to decode files in the Musepack audio format,
 which usually use the 'mpc' extension. MPC is a lossy compression format
 like MP3 or Ogg Vorbis. It is based on the MPEG-1 Layer-2 / MP2 algorithms,
 but has vastly improved.

Package: libmpcdec3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Musepack (MPC) format library
 libmpcdec allows you to decode files in the Musepack audio format,
 which usually use the 'mpc' extension. MPC is a lossy compression format
 like MP3 or Ogg Vorbis. It is based on the MPEG-1 Layer-2 / MP2 algorithms,
 but has vastly improved.
